import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:sk_base_mobile/models/workbench.model.dart';

class WorkBenchController extends GetxController {
  late final AnimationController animationController;
  final List<WorkBenchModel> menus = [
    WorkBenchModel(title: '库存', route: '/inventory', icon: 'inventory.svg'),
    WorkBenchModel(title: '产品', route: '/product', icon: 'product.svg'),
    WorkBenchModel(title: '合同', route: '/contract', icon: 'contract.svg'),
    WorkBenchModel(title: '人事', route: '/hr', icon: 'hr.svg'),
    WorkBenchModel(title: '公车', route: '/vehicle', icon: 'vehicle.svg'),
    WorkBenchModel(title: '任务', route: '/task_manage', icon: 'task_manage.svg'),
    WorkBenchModel(title: '报表', route: '/report', icon: 'report.svg'),
    WorkBenchModel(
        title: '报价计算', route: '/sale_quotation', icon: 'sale_quotation.svg'),
  ];
  @override
  void onClose() {
    animationController.dispose();
    super.onClose();
  }
}
